aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-package-anon/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-09-04 08:55:31 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-09-04 09:04:46 +0000
commite908698230c0c19d625559c0c9bef68c4a37f356 (patch)
tree0735fcfb08bb9c64974d642655899e0cb36b293c /testing/perl-package-anon/APKBUILD
parenta5c1dd8a5fa688e9406f4601791bfc52b3333ad5 (diff)
downloadaports-e908698230c0c19d625559c0c9bef68c4a37f356.tar.gz
aports-e908698230c0c19d625559c0c9bef68c4a37f356.tar.bz2
aports-e908698230c0c19d625559c0c9bef68c4a37f356.tar.xz
testing/perl-package-anon: new aport
Diffstat (limited to 'testing/perl-package-anon/APKBUILD')
-rw-r--r--testing/perl-package-anon/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/perl-package-anon/APKBUILD b/testing/perl-package-anon/APKBUILD
new file mode 100644
index 0000000000..556ca2ee78
--- /dev/null
+++ b/testing/perl-package-anon/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-package-anon
+_pkgreal=Package-Anon
+pkgver=0.05
+pkgrel=0
+pkgdesc="Anonymous packages"
+url="http://search.cpan.org/dist/Package-Anon/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-sub-exporter"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AU/AUGGY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="06599ea8c760e679dce8ebfb6b6a1edb Package-Anon-0.05.tar.gz"
+sha256sums="15d0285e628a721138bcb1c36dea934379a89fdbc450fd79148e4e37a77241ba Package-Anon-0.05.tar.gz"
+sha512sums="73adf4eb8348ad51e678d7d777f7c13599eaaa53e776a35df768ee1afcf781801c980c786c658addad80ae5fe852fefb3600722ea7b02d928653543aa28d9d51 Package-Anon-0.05.tar.gz"